Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class PSVIElementNSImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.xerces.dom.ElementNSImpl
                                    |
                                    +--org.apache.xerces.dom.PSVIElementNSImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.apache.xerces.xni.psvi.ElementPSVI, org.w3c.dom.events.EventTarget, org.apache.xerces.xni.psvi.ItemPSVI, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo

public class PSVIElementNSImpl
extends ElementNSImpl
implements org.apache.xerces.xni.psvi.ElementPSVI

Element namespace implementation; stores PSVI element items.

Version:
  $Id: PSVIElementNSImpl.java,v 1.2 2003/01/20 13:55:56 elena Exp $
Author:
  Sandy Gao, IBM
See Also:
  Serialized Form

Field Summary
`protected XSElementDeclaration` | `fDeclaration` element declaration
`protected StringList` | `fErrorCodes` error codes
`protected XSSimpleTypeDefinition` | `fMemberType` member type definition against which element was validated
`protected boolean` | `fNil` true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false
`protected java.lang.String` | `fNormalizedValue` schema normalized value property
`protected XSNotationDeclaration` | `fNotation` http://www.w3.org/TR/xmlschema-1/#e-notation
`protected XSModel` | `fSchemaInformation` the schema information property
`protected boolean` | `fSpecified` false if the element value was provided by the schema; true otherwise.
`protected XSTypeDefinition` | `fTypeDecl` type of element, could be xsi:type
`protected short` | `fValidationAttempted` validation attempted: none, partial, full
`protected java.lang.String` | `fValidationContext` validation context: could be QName or XPath expression
`protected short` | `fValidity` validity: valid, invalid, unknown

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`PSVIElementNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName)` Construct an element node.
`PSVIElementNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)` Construct an element node.

Method Summary
`XSElementDeclaration` | `getElementDeclaration()` An item isomorphic to the element declaration used to validate this element.
`StringList` | `getErrorCodes()` A list of error codes generated from validation attempts.
`boolean` | `getIsNil()` [nil]
`boolean` | `getIsSchemaSpecified()` [schema specified]
`XSSimpleTypeDefinition` | `getMemberTypeDefinition()` If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`XSNotationDeclaration` | `getNotation()` [notation]
`java.lang.String` | `getSchemaDefault()` [schema default]
`XSModel` | `getSchemaInformation()` [schema information]
`java.lang.String` | `getSchemaNormalizedValue()` [schema normalized value]
`XSTypeDefinition` | `getTypeDefinition()` An item isomorphic to the type definition used to validate this element.
`short` | `getValidationAttempted()` Determines the extent to which the document has been validated
`java.lang.String` | `getValidationContext()` [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
`short` | `getValidity()` Determine the validity of the node with respect to the validation being attempted
`void` | `setPSVI(org.apache.xerces.xni.psvi.ElementPSVI elem)` Copy PSVI properties from another psvi item.

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getInterface, getNodeValue, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, isSupported, removeChild, replaceChild, setNodeValue`

Field Detail

### fDeclaration

    protected XSElementDeclaration fDeclaration

  element declaration

### fTypeDecl

    protected XSTypeDefinition fTypeDecl

  type of element, could be xsi:type

### fNil

    protected boolean fNil

  true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false

### fSpecified

    protected boolean fSpecified

  false if the element value was provided by the schema; true otherwise.

### fNormalizedValue

    protected java.lang.String fNormalizedValue

  schema normalized value property

### fNotation

    protected XSNotationDeclaration fNotation

  http://www.w3.org/TR/xmlschema-1/#e-notation

### fMemberType

    protected XSSimpleTypeDefinition fMemberType

  member type definition against which element was validated

### fValidationAttempted

    protected short fValidationAttempted

  validation attempted: none, partial, full

### fValidity

    protected short fValidity

  validity: valid, invalid, unknown

### fErrorCodes

    protected StringList fErrorCodes

  error codes

### fValidationContext

    protected java.lang.String fValidationContext

  validation context: could be QName or XPath expression

### fSchemaInformation

    protected XSModel fSchemaInformation

  the schema information property

Constructor Detail

### PSVIElementNSImpl

    public PSVIElementNSImpl(CoreDocumentImpl ownerDocument,
                             java.lang.String namespaceURI,
                             java.lang.String qualifiedName,
                             java.lang.String localName)

  Construct an element node.

### PSVIElementNSImpl

    public PSVIElementNSImpl(CoreDocumentImpl ownerDocument,
                             java.lang.String namespaceURI,
                             java.lang.String qualifiedName)

  Construct an element node.

Method Detail

### getSchemaDefault

    public java.lang.String getSchemaDefault()

  [schema default]
  Specified by:
    `getSchemaDefault` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:

    ### getSchemaNormalizedValue

        public java.lang.String getSchemaNormalizedValue()

      [schema normalized value]
      Specified by:
        `getSchemaNormalizedValue` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
      Returns:
        the normalized value of this item after validation
      See Also:

        ### getIsSchemaSpecified

            public boolean getIsSchemaSpecified()

          [schema specified]
          Specified by:
            `getIsSchemaSpecified` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            false value was specified in schema, true value comes from the infoset
          See Also:
            XML Schema Part 1: Structures [schema specified]

        ### getValidationAttempted

            public short getValidationAttempted()

          Determines the extent to which the document has been validated
          Specified by:
            `getValidationAttempted` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validation attempted] property. The possible values are NO_VALIDATION, PARTIAL_VALIDATION and FULL_VALIDATION

        ### getValidity

            public short getValidity()

          Determine the validity of the node with respect to the validation being attempted
          Specified by:
            `getValidity` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validity] property. Possible values are: UNKNOWN_VALIDITY, INVALID_VALIDITY, VALID_VALIDITY

        ### getErrorCodes

            public StringList getErrorCodes()

          A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting
          Specified by:
            `getErrorCodes` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            Array of error codes

        ### getValidationContext

            public java.lang.String getValidationContext()

          Description copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
          Specified by:
            `getValidationContext` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Following copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            The nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property)
          See Also:
            XML Schema Part 1: Structures [validation context]

        ### getIsNil

            public boolean getIsNil()

          [nil]
          Returns:
            true if clause 3.2 of Element Locally Valid (Element) (3.3.4) above is satisfied, otherwise false
          See Also:

            ### getNotation

                public XSNotationDeclaration getNotation()

              [notation]
              Specified by:
                `getNotation` in interface `org.apache.xerces.xni.psvi.ElementPSVI`
              Returns:
                The notation declaration.
              See Also:

                ### getTypeDefinition

                    public XSTypeDefinition getTypeDefinition()

                  An item isomorphic to the type definition used to validate this element.
                  Specified by:
                    `getTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
                  Returns:
                    a type declaration

                ### getMemberTypeDefinition

                    public XSSimpleTypeDefinition getMemberTypeDefinition()

                  If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
                  Specified by:
                    `getMemberTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
                  Returns:
                    a simple type declaration

                ### getElementDeclaration

                    public XSElementDeclaration getElementDeclaration()

                  An item isomorphic to the element declaration used to validate this element.
                  Specified by:
                    `getElementDeclaration` in interface `org.apache.xerces.xni.psvi.ElementPSVI`
                  Returns:
                    an element declaration

                ### getSchemaInformation

                    public XSModel getSchemaInformation()

                  [schema information]
                  Specified by:
                    `getSchemaInformation` in interface `org.apache.xerces.xni.psvi.ElementPSVI`
                  Returns:
                    The schema information property if it's the validation root, null otherwise.
                  See Also:
                    XML Schema Part 1: Structures [schema information]

                ### setPSVI

                    public void setPSVI(org.apache.xerces.xni.psvi.ElementPSVI elem)

                  Copy PSVI properties from another psvi item.
                  Parameters:
                    `attr` - the source of attribute PSVI items

                Overview | Package | Class | Tree | Deprecated | Index | Help
                PREV CLASS NEXT CLASS | FRAMES NO FRAMES
                SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

                Copyright © 1999-2003 Apache XML Project. All Rights Reserved.